SoListenerOrientationElement(3)

NAME
SoListenerOrientationElement - The SoListenerOrientationElement holds the orientation of the current listener.

SYNOPSIS

#include <Inventor/elements/SoListenerOrientationElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void print (FILE *file) const
Prints the contents of the element (unimplemented)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbRotation &orientation, SbBool setbylistener)
static const SbRotation & get (SoState *const state)
Returns the current listener orientation.
static SbBool isSetByListener (SoState *const state)

  Protected Member Functions
virtual ~SoListenerOrientationElement ()

  Protected Attributes
SbRotation orientation
SbBool setbylistener

  Additional Inherited Members

Detailed Description

The SoListenerOrientationElement holds the orientation of the current listener. This orientation is set by SoListener nodes and SoCamera Nodes during audio rendering. When a SoListener is visited by the SoAudioRenderAction, it will add a new SoListenerOrientationElement to the state, holding its orientation and with the setbylistener flag set. When a SoCamera is visited by SoAudioRenderAction, it will add a new SoListenerOrientationElement only if there are no previous elements with the setbylistener flag set.

The SoListenerOrientationElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.0

Constructor & Destructor Documentation

  SoListenerOrientationElement::~SoListenerOrientationElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoListenerOrientationElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoListenerOrientationElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoListenerOrientationElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoListenerOrientationElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoListenerOrientationElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for the orientation is (0.0, 0.0, 1.0, 0.0) and the default value for the setByListener flag is FALSE.

Reimplemented from SoReplacedElement.

  void SoListenerOrientationElement::set (SoState *const state, SoNode *const node, const SbRotation & orientation, SbBool setbylistener) [static]
Sets the current listener orientation, and indicates if it was set by a SoListener node or a SoCamera node.

  SbBool SoListenerOrientationElement::isSetByListener (SoState *const state) [static]
Returns TRUE if the orientation was set by a SoListener node, and FALSE if it was set by a SoCamera node

  void SoListenerOrientationElement::print (FILE * file) const [virtual]

Prints the contents of the element (unimplemented)

Reimplemented from SoReplacedElement.

Member Data Documentation

  SoListenerOrientationElement::orientation [protected]
The orientation of the listener. Can be set by the SoListener class or the SoCamera class.

Author

Generated automatically by Doxygen for Coin from the source code.